#ifndef TARG_H
#define TARG_H
/*******************************************************************************
* E.S.O. - VLT project
*
* "@(#) $Id: AP_targ.h,v 2.43 2004/06/17 23:04:26 vltsccm Exp $"
*
* who       when      what
* --------  --------  ----------------------------------------------
* hummel  02/03/98  created
* aaguayo 04/12/02  removed warning (APR2003)
*/

/************************************************************************
 *
 *----------------------------------------------------------------------
 */

#ifndef __cplusplus
#error This is a C++ include file and cannot be used from plain C
#endif

#include <iostream>
#include <strings.h>

//-------
class TARG
// container class
{
private:
	char* tn;  // target name 
	float ta;  // target RA
	float td;  // target DEC 
	float tx;  // target pixel x
	float ty;  // target pixel y
	float tm;  // target magnitide
	int tp;    // target priority 0 or 1 

public:
   void print();
   float get_RA(); 
   float get_DEC();
   float get_MAG();
   float get_px(); 
   float get_py();
   int   get_PRI();
   char* get_nam();
   void set_MAG(float mag); 
   void set_RA(float ra);
   void set_DEC(float de);
   void set_px(float px);
   void set_py(float py);
   void set_PRI(int pri);
   void set_nam(char *s); 
   TARG(char* ltn, float lta, float ltd, float ltx, float lty, float ltm, int ltp);

};




#endif  /* !TARG_H */



